import request from '@/utils/request'

//获取列表
export function getCertificateList(query) {
  return request({
    url: '/edu/certificate/',
    method: 'get',
    params: query
  })
}
export function createCertificate(data) {
    return request({
      url: '/edu/certificate/',
      method: 'post',
      data
    })
  }
  export function updateCertificate(id, data) {
    return request({
      url: `/edu/certificate/${id}/`,
      method: 'put',
      data
    })
  }
  export function impCertificate(data) {
    return request({
      url: '/edu/certificate/imp/',
      method: 'post',
      data
    })
  }
  export function deleteCertificate(id) {
    return request({
      url: `/edu/certificate/${id}/`,
      method: 'delete'
    })
  }
  export function getCertificate(id) {
    return request({
      url: `/edu/certificate/${id}/`,
      method: 'get'
    })
  }